package kr.pe.elex.examples;

import lombok.Getter;
import lombok.Setter;
import org.slf4j.Logger;
import org.slf4j.Marker;


public class MyLogger extends AbstractLogger implements Logger {

	public MyLogger(String name) {
		super(name);
	}

	@Override
	protected void log(String s) {

	}

	@Override
	protected void log(String s, Object o) {

	}

	@Override
	protected void log(String s, Object o1, Object o2) {

	}

	@Override
	protected void log(String s, Object... objects) {

	}

	@Override
	protected void log(String s, Throwable throwable) {

	}

	@Override
	protected void log(Marker marker, String s) {

	}

	@Override
	protected void log(Marker marker, String s, Object o) {

	}

	@Override
	protected void log(Marker marker, String s, Object o1, Object o2) {

	}

	@Override
	protected void log(Marker marker, String s, Object... objects) {

	}

	@Override
	protected void log(Marker marker, String s, Throwable throwable) {

	}
}
